{% extends 'base.html' %} {% block content %} {% if submit_success %}
<div class="ui info message">
    <i class="close icon"></i>
    <div class="header">
        Sucesso ao enviar o feedback
    </div>
    <ul class="list">
        <li>Agradecemos pelo seu feedback!</li>
    </ul>
</div>
{% endif %}
<div class="ui fixed inverted menu" id="ProjectID">
    <h1>Projetos com Diagnóstico de complexidade</h1>
</div>
<div class="ui active dimmer" id="LoaderDimmer">
    <div class="content">
        <h2 class="ui inverted icon header">
            <div class="ui massive text loader">Carregando...</div>
        </h2>
    </div>
</div>
<table id="example" style="text-align: center" class="ui celled table striped">
    <thead>
        <tr>
            <th>Pronac</th>
            <!-- <th>Complexidade</th> -->
            <th>Título</th>
            <th>Responsável</th>
        </tr>
    </thead>
    <tbody>
        {% for project in projects %}
        <tr>
            <td>
                <a class="ui positive button" href="{% url 'show_metrics' project.pronac %}">
                    {{ project.pronac }}
                </a>
            </td>
            <!-- <td>{{ project.complexity }}</td> -->
            <td>{{ project.project_name }}</td>
            <td>{{ project.analist }}</td>
        </tr>
        {% endfor %}
    </tbody>
    <tfoot>
        <tr>
            <th>Pronac</th>
            <!-- <th>Complexidade</th> -->
            <th>Título</th>
            <th>Responsável</th>
        </tr>
    </tfoot>
</table>

<!-- <table id="myTable" style="text-align: center" class="ui celled table striped">
    <thead>
        <tr>
            <th>Pronac</th>
            <th>Complexidade</th>
            <th>Título</th>
            <th>Responsável</th>
        </tr>
    </thead>
    <tbody>
    </tbody>
</table> -->

<script>
    $(document).ready(function () {
        $('#example').DataTable({
            "ordering": true,
            "searching": true,
            "paging": true,
            "pagingType": "first_last_numbers",
            "info": false,
            "order": [[1, "desc"]],
            "language": {
                "lengthMenu": "Mostrar _MENU_ projetos por página",
                "zeroRecords": "Nenhum projeto encontrado",
                "info": "Página _PAGE_ de _PAGES_",
                "infoEmpty": "Nenhum projeto disponível",
                "infoFiltered": "(filtrado de _MAX_ projetos no total)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Próximo",
                    "first": "Primeiro",
                    "last": "Último",
                }
            },
            "dom": '<"ui stackable grid"<"row"<"sixteen wide column"f>><"row dt-table"<"sixteen wide column"rt>><"row"<"six wide column"l><"right aligned ten wide column"p>>>',
        });
    });

    window.load = setTimeout(function rmDimmer() {
        var element = document.getElementById("LoaderDimmer")
        element.classList.remove("active");
    }, 7000)

    $('.message .close').on('click', function () {
        $(this).closest('.message').transition('fade')
    })
    // function populate() {
    //     console.time('populate');
    //     var t = $('#myTable').dataTable();
    //     var projetos = {{ projects_json | safe }}
    // console.log(projetos)
    // for (var irow = 0, size = projetos.length; irow < size; irow++) {
    //     var cells = new Array();
    //     var component = '<a class="ui positive button" href="' + '/indicators/' + projetos[irow].pronac + '">' + projetos[irow].pronac + '</a>'
    //     cells[0] = component;
    //     cells[1] = projetos[irow].complexity;
    //     cells[2] = projetos[irow].project_name;
    //     cells[3] = projetos[irow].analist;
    //     var ai = t.fnAddData(cells, false);
    // }
    // t.fnDraw();
    // console.timeEnd('populate');
    // }

    // window.onload = populate();

    // console.time('render');
    // jQuery('#myTable').dataTable(
    //     {
    //         'bDestroy': true,
    //         "bInfo": true,
    //         "bProcessing": true,
    //         "bDeferRender": true,
    //         'iDisplayLength': 10,
    //         'sPaginationType': 'full_numbers',
    //         'sDom': '<"top"i> T<"clear">lfrtip',
    //         'sPageButtonActive': "paginate_active",
    //         'sPageButtonStaticDisabled': "paginate_button",
    //         "oLanguage": {
    //             "sSearch": "Futher Filter Search results:",
    //             "sInfo": "Got a total of _TOTAL_ results to show (_START_ to _END_)",
    //             "sLengthMenu": 'Show <select>' +
    //                 '<option value="5">5</option>' +
    //                 '<option value="10">10</option>' +
    //                 '<option value="15">15</option>' +
    //                 '<option value="20">20</option>' +
    //                 '<option value="25">25</option>' +
    //                 '</select> results'
    //         },
    //         "bSort": false
    //     }
    // );
    // console.timeEnd('render');
</script> {% endblock %}